rte_cman_red_params(3)

NAME
rte_cman_red_params

SYNOPSIS

#include <rte_cman.h>

  Data Fields

uint8_t min_th
uint8_t max_th
uint16_t maxp_inv

Detailed Description

RED based congestion management configuration parameters.

Definition at line 30 of file rte_cman.h.

Field Documentation

  uint8_t min_th
Minimum threshold (min_th) value

Value expressed as percentage. Value must be in 0 to 100(inclusive).

Definition at line 36 of file rte_cman.h.

  uint8_t max_th
Maximum threshold (max_th) value

Value expressed as percentage. Value must be in 0 to 100(inclusive).

Definition at line 42 of file rte_cman.h.

  uint16_t maxp_inv
Inverse of packet marking probability maximum value (maxp = 1 / maxp_inv)

Definition at line 44 of file rte_cman.h.

Author

Generated automatically by Doxygen for DPDK from the source code.